/*
 * Copyright IBM Corp. and others 1991
 *
 * This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License 2.0 which accompanies this
 * distribution and is available at https://www.eclipse.org/legal/epl-2.0/
 * or the Apache License, Version 2.0 which accompanies this distribution
 * and is available at https://www.apache.org/licenses/LICENSE-2.0.
 *
 * This Source Code may also be made available under the following
 * Secondary Licenses when the conditions for such availability set
 * forth in the Eclipse Public License, v. 2.0 are satisfied: GNU
 * General Public License, version 2 with the GNU Classpath
 * Exception [1] and GNU General Public License, version 2 with the
 * OpenJDK Assembly Exception [2].
 *
 * [1] https://www.gnu.org/software/classpath/license.html
 * [2] https://openjdk.org/legal/assembly-exception.html
 *
 * SPDX-License-Identifier: EPL-2.0 OR Apache-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0 OR GPL-2.0-only WITH OpenJDK-assembly-exception-1.0
 */

/**
 * WARNING!!! GENERATED FILE
 *
 * This class is generated.
 * Do not use the Eclipse "Organize Imports" feature on this class.
 *
 * It can contain user content, but that content must be delimited with the
 * the tags
 * [BEGIN USER IMPORTS]
 * [END USER IMPORTS]
 *
 * or
 *
 * [BEGIN USER CODE]
 * [END USER CODE]
 *
 * These tags are entered as comments.  Characters before [ and after ] are ignored.
 * Lines between the tags are inserted into the newly generated file.
 *
 * IMPORTS are combined and inserted above newly generated imports.  CODE is combined
 * and inserted immediately after the class declaration
 *
 * All lines outside these tags are lost and replaced with newly generated code.
 */
package com.ibm.j9ddr.vm29.pointer.generated;

/*[BEGIN USER IMPORTS]*/
/*[END USER IMPORTS]*/

import com.ibm.j9ddr.CorruptDataException;
import com.ibm.j9ddr.vm29.pointer.*;
import com.ibm.j9ddr.vm29.structure.*;
import com.ibm.j9ddr.vm29.types.*;

/**
 * Structure: J9WalkStackFramesAndSlotsStoragePointer
 *
 * A generated implementation of a VM structure
 *
 * This class contains generated code and MAY contain hand written user code.
 *
 * Hand written user code must be contained at the top of
 * the class file, specifically above
 * the comment line containing WARNING!!! GENERATED CODE
 *
 * ALL code below the GENERATED warning will be replaced with new generated code
 * each time the PointerGenerator utility is run.
 *
 * The generated code will provide getters for all elements in the J9WalkStackFramesAndSlotsStoragePointer
 * structure.  Where possible, meaningful return types are inferred.
 *
 * The user may add methods to provide meaningful return types where only pointers
 * could be automatically inferred.
 */
@com.ibm.j9ddr.GeneratedPointerClass(structureClass=J9WalkStackFramesAndSlotsStorage.class)
public class J9WalkStackFramesAndSlotsStoragePointer extends StructurePointer {

	// NULL
	public static final J9WalkStackFramesAndSlotsStoragePointer NULL = new J9WalkStackFramesAndSlotsStoragePointer(0);

/*[BEGIN USER CODE]*/
/*[END USER CODE]*/

	// Do not call this constructor.  Use static method cast instead.
	protected J9WalkStackFramesAndSlotsStoragePointer(long address) {
		super(address);
	}

	public static J9WalkStackFramesAndSlotsStoragePointer cast(AbstractPointer structure) {
		return cast(structure.getAddress());
	}

	public static J9WalkStackFramesAndSlotsStoragePointer cast(UDATA udata) {
		return cast(udata.longValue());
	}

	public static J9WalkStackFramesAndSlotsStoragePointer cast(long address) {
		if (address == 0) {
			return NULL;
		}
		return new J9WalkStackFramesAndSlotsStoragePointer(address);
	}

	public J9WalkStackFramesAndSlotsStoragePointer add(long count) {
		return J9WalkStackFramesAndSlotsStoragePointer.cast(address + (J9WalkStackFramesAndSlotsStorage.SIZEOF * count));
	}

	public J9WalkStackFramesAndSlotsStoragePointer add(Scalar count) {
		return add(count.longValue());
	}

	public J9WalkStackFramesAndSlotsStoragePointer addOffset(long offset) {
		return J9WalkStackFramesAndSlotsStoragePointer.cast(address + offset);
	}

	public J9WalkStackFramesAndSlotsStoragePointer addOffset(Scalar offset) {
		return addOffset(offset.longValue());
	}

	public J9WalkStackFramesAndSlotsStoragePointer sub(long count) {
		return J9WalkStackFramesAndSlotsStoragePointer.cast(address - (J9WalkStackFramesAndSlotsStorage.SIZEOF * count));
	}

	public J9WalkStackFramesAndSlotsStoragePointer sub(Scalar count) {
		return sub(count.longValue());
	}

	public J9WalkStackFramesAndSlotsStoragePointer subOffset(long offset) {
		return J9WalkStackFramesAndSlotsStoragePointer.cast(address - offset);
	}

	public J9WalkStackFramesAndSlotsStoragePointer subOffset(Scalar offset) {
		return subOffset(offset.longValue());
	}

	public J9WalkStackFramesAndSlotsStoragePointer untag(long mask) {
		return J9WalkStackFramesAndSlotsStoragePointer.cast(address & ~mask);
	}

	public J9WalkStackFramesAndSlotsStoragePointer untag() {
		return untag(UDATA.SIZEOF - 1);
	}

	protected long sizeOfBaseType() {
		return J9WalkStackFramesAndSlotsStorage.SIZEOF;
	}

	// Implementation methods

	// UDATA* jit_r0
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r0Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r0() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r0Offset_));
	}

	// UDATA* jit_r0
	public PointerPointer jit_r0EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r0Offset_));
	}

	// UDATA* jit_r1
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r1Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r1() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r1Offset_));
	}

	// UDATA* jit_r1
	public PointerPointer jit_r1EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r1Offset_));
	}

	// UDATA* jit_r10
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r10Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r10() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r10Offset_));
	}

	// UDATA* jit_r10
	public PointerPointer jit_r10EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r10Offset_));
	}

	// UDATA* jit_r11
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r11Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r11() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r11Offset_));
	}

	// UDATA* jit_r11
	public PointerPointer jit_r11EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r11Offset_));
	}

	// UDATA* jit_r12
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r12Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r12() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r12Offset_));
	}

	// UDATA* jit_r12
	public PointerPointer jit_r12EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r12Offset_));
	}

	// UDATA* jit_r13
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r13Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r13() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r13Offset_));
	}

	// UDATA* jit_r13
	public PointerPointer jit_r13EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r13Offset_));
	}

	// UDATA* jit_r14
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r14Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r14() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r14Offset_));
	}

	// UDATA* jit_r14
	public PointerPointer jit_r14EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r14Offset_));
	}

	// UDATA* jit_r15
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r15Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r15() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r15Offset_));
	}

	// UDATA* jit_r15
	public PointerPointer jit_r15EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r15Offset_));
	}

	// UDATA* jit_r16
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r16Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r16() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r16Offset_));
	}

	// UDATA* jit_r16
	public PointerPointer jit_r16EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r16Offset_));
	}

	// UDATA* jit_r17
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r17Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r17() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r17Offset_));
	}

	// UDATA* jit_r17
	public PointerPointer jit_r17EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r17Offset_));
	}

	// UDATA* jit_r18
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r18Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r18() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r18Offset_));
	}

	// UDATA* jit_r18
	public PointerPointer jit_r18EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r18Offset_));
	}

	// UDATA* jit_r19
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r19Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r19() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r19Offset_));
	}

	// UDATA* jit_r19
	public PointerPointer jit_r19EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r19Offset_));
	}

	// UDATA* jit_r2
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r2Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r2() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r2Offset_));
	}

	// UDATA* jit_r2
	public PointerPointer jit_r2EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r2Offset_));
	}

	// UDATA* jit_r20
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r20Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r20() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r20Offset_));
	}

	// UDATA* jit_r20
	public PointerPointer jit_r20EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r20Offset_));
	}

	// UDATA* jit_r21
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r21Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r21() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r21Offset_));
	}

	// UDATA* jit_r21
	public PointerPointer jit_r21EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r21Offset_));
	}

	// UDATA* jit_r22
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r22Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r22() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r22Offset_));
	}

	// UDATA* jit_r22
	public PointerPointer jit_r22EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r22Offset_));
	}

	// UDATA* jit_r23
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r23Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r23() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r23Offset_));
	}

	// UDATA* jit_r23
	public PointerPointer jit_r23EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r23Offset_));
	}

	// UDATA* jit_r24
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r24Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r24() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r24Offset_));
	}

	// UDATA* jit_r24
	public PointerPointer jit_r24EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r24Offset_));
	}

	// UDATA* jit_r25
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r25Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r25() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r25Offset_));
	}

	// UDATA* jit_r25
	public PointerPointer jit_r25EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r25Offset_));
	}

	// UDATA* jit_r26
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r26Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r26() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r26Offset_));
	}

	// UDATA* jit_r26
	public PointerPointer jit_r26EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r26Offset_));
	}

	// UDATA* jit_r27
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r27Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r27() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r27Offset_));
	}

	// UDATA* jit_r27
	public PointerPointer jit_r27EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r27Offset_));
	}

	// UDATA* jit_r28
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r28Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r28() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r28Offset_));
	}

	// UDATA* jit_r28
	public PointerPointer jit_r28EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r28Offset_));
	}

	// UDATA* jit_r29
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r29Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r29() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r29Offset_));
	}

	// UDATA* jit_r29
	public PointerPointer jit_r29EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r29Offset_));
	}

	// UDATA* jit_r3
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r3Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r3() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r3Offset_));
	}

	// UDATA* jit_r3
	public PointerPointer jit_r3EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r3Offset_));
	}

	// UDATA* jit_r30
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r30Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r30() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r30Offset_));
	}

	// UDATA* jit_r30
	public PointerPointer jit_r30EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r30Offset_));
	}

	// UDATA* jit_r31
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r31Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r31() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r31Offset_));
	}

	// UDATA* jit_r31
	public PointerPointer jit_r31EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r31Offset_));
	}

	// UDATA* jit_r4
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r4Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r4() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r4Offset_));
	}

	// UDATA* jit_r4
	public PointerPointer jit_r4EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r4Offset_));
	}

	// UDATA* jit_r5
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r5Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r5() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r5Offset_));
	}

	// UDATA* jit_r5
	public PointerPointer jit_r5EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r5Offset_));
	}

	// UDATA* jit_r6
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r6Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r6() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r6Offset_));
	}

	// UDATA* jit_r6
	public PointerPointer jit_r6EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r6Offset_));
	}

	// UDATA* jit_r7
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r7Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r7() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r7Offset_));
	}

	// UDATA* jit_r7
	public PointerPointer jit_r7EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r7Offset_));
	}

	// UDATA* jit_r8
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r8Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r8() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r8Offset_));
	}

	// UDATA* jit_r8
	public PointerPointer jit_r8EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r8Offset_));
	}

	// UDATA* jit_r9
	@com.ibm.j9ddr.GeneratedFieldAccessor(offsetFieldName="_jit_r9Offset_", declaredType="UDATA*")
	public UDATAPointer jit_r9() throws CorruptDataException {
		return UDATAPointer.cast(getPointerAtOffset(J9WalkStackFramesAndSlotsStorage._jit_r9Offset_));
	}

	// UDATA* jit_r9
	public PointerPointer jit_r9EA() throws CorruptDataException {
		return PointerPointer.cast(nonNullFieldEA(J9WalkStackFramesAndSlotsStorage._jit_r9Offset_));
	}

}
